(function () {
	tinymce.create('tinymce.plugins.Plumba_Post', {
		init         :function (ed, url) {
			ed.addButton('plumba_post', {
				title  :'Plumba',
				image  :url + '/plumba.png',
				onclick:function () {
					var idPattern	= /(?:(?:[^v]+)+v.)?([^&=]{11})(?=&|$)/;
					var vidId     = prompt("YouTube Video", "Enter the id or url for your video");
					var m = idPattern.exec(vidId);
					if (m != null && m != 'undefined')
						ed.execCommand('mceInsertContent', false, '[youtube id="' + m[1] + '"]');
				}
			});
		},
		createControl:function (n, cm) {
			return null;
		},
		getInfo      :function () {
			return {
				longname :"Brett's YouTube Shortcode",
				author   :'Brett Terpstra',
				authorurl:'http://brettterpstra.com/',
				infourl  :'http://brettterpstra.com/',
				version  :"1.0"
			};
		}
	});
	tinymce.PluginManager.add('plumba_post', tinymce.plugins.Plumba_Post);
})();