//global value checking double vote
var _already_made_vote = false;

//Register vote via ajax
function plumba_vote(post_id, key, nonce) {

	if ( _already_made_vote ) {
		return;
	}

	_already_made_vote = true;

	//Sending request
	jQuery.post(
			ajaxurl,
			{
				action :'plumba_vote',
				post_id:post_id,
				key    :key,
				nonce  :nonce
			},
			function (response) {

				jQuery('#plumba_vote_result_' + post_id + '_' + key).html(response);
				jQuery('#plumba_vote_result_' + post_id + '_' + key).addClass('alert alert-success');
				jQuery('#plumba_vote_result_' + post_id + '_' + key).show(response);

				var id = '#plumba_vote_result_' + post_id + '_' + key;
				setTimeout('jQuery(\'' + id + '\').hide();', 3000);

			}
	);

}

function plumba_stats(post_id, nonce) {

	var plumba_url = ajaxurl + '?action=plumba_stats&post_id=' + post_id + '&nonce=' + nonce;

	jQuery.getJSON(plumba_url,
			{
				format:"json"
			},
			function (data) {

				var plumba_total = 0;

				jQuery.each(data['answers'], function (i, item) {
					plumba_total += item;
				});

				jQuery.each(data['answers'], function (i, item) {

					var percent = 0;
					if ( plumba_total ) {
						percent = Math.round((item / plumba_total) * 100);
					}
					jQuery('#plumba_question_badge_' + post_id + '_' + i).html(item);
					jQuery('#plumba_question_bar_' + post_id + '_' + i).width(percent + '%');
					jQuery('#plumba_question_percent_' + post_id + '_' + i).html(percent + '%');

				});


			});


}



